## trove-tempest-plugin 1.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.44.1  # Apache-2.0
oslo.serialization>=2.29.1 # Apache-2.0
oslo.service>=1.40.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
requests>=2.14.2  # Apache-2.0
six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0
tenacity>=5.1.1 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
PyMySQL>=0.7.6 # MIT License
psycopg2-binary>=2.6.2 # LGPL/ZPL

=== debian/changelog ===
trove-tempest-plugin (1.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:44:11 +0200

trove-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * Added HP as copyright holder in d/copyright.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 12:00:43 +0200

trove-tempest-plugin (1.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:00:09 +0200

trove-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #988920).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 May 2021 14:41:47 +0200

=== debian/control ===
Source: trove-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslotest,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 subunit,
 tempest,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/trove-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/trove-tempest-plugin.git
Homepage: https://opendev.org/openstack/trove-tempest-plugin

Package: trove-tempest-plugin
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslotest,
 python3-pbr,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-tenacity,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Trove plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Trove plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/trove-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No test for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## trove-tempest-plugin 1.4.0

=== debian/changelog ===
trove-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:34:53 +0200

trove-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-swiftclient as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 17:36:56 +0100

## trove-tempest-plugin 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 PyMySQL>=0.7.6 # MIT License
 psycopg2-binary>=2.6.2 # LGPL/ZPL
+python-swiftclient>=3.2.0 # Apache-2.0

=== debian/changelog ===
trove-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 23:39:27 +0200

trove-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 11:41:00 +0200

## trove-tempest-plugin 2.0.1

=== debian/changelog ===
trove-tempest-plugin (2.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1045761).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 16:53:20 +0200

trove-tempest-plugin (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:08:08 +0200

trove-tempest-plugin (2.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Mar 2023 15:32:07 +0100

trove-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 11:00:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## trove-tempest-plugin 2.2.0

=== debian/changelog ===
trove-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 21:00:00 +0200

trove-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 16:56:28 +0200

trove-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:02:09 +0200

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-tenacity,
  python3-testscenarios,
  python3-testtools,
+ python3-swiftclient,
  subunit,
  tempest,
 Standards-Version: 4.5.1
@@ -46,6 +47,7 @@
  python3-six,
  python3-sqlalchemy,
  python3-tenacity,
+ python3-swiftclient,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## trove-tempest-plugin 2.3.1

=== debian/changelog ===
trove-tempest-plugin (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 23:14:59 +0200

trove-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:24:59 +0100

## trove-tempest-plugin 2.4.0

=== debian/changelog ===
trove-tempest-plugin (2.4.0-3) unstable; urgency=medium

  * Drop python3-six (build-)depends (Closes: #1089072).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:56:15 +0100

trove-tempest-plugin (2.4.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090703).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:07:34 +0100

trove-tempest-plugin (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:29:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## trove-tempest-plugin 2.5.0

=== debian/changelog ===
trove-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:46:38 +0100

trove-tempest-plugin (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:38:15 +0100

## trove-tempest-plugin 2.6.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.44.1  # Apache-2.0
oslo.serialization>=2.29.1 # Apache-2.0
oslo.service>=1.40.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
requests>=2.14.2  # Apache-2.0
tempest>=17.1.0 # Apache-2.0
tenacity>=5.1.1 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
PyMySQL>=0.7.6 # MIT License
psycopg2-binary>=2.6.2 # LGPL/ZPL
python-swiftclient>=3.2.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

sphinxcontrib-apidoc>=0.2.0 # BSD
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
trove-tempest-plugin (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:43:02 +0200

trove-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-oslotest,
  python3-pymysql,
  python3-requests,
- python3-six,
  python3-sqlalchemy,
  python3-stestr,
  python3-tenacity,
@@ -44,7 +43,6 @@
  python3-pbr,
  python3-pymysql,
  python3-requests,
- python3-six,
  python3-sqlalchemy,
  python3-tenacity,
  python3-swiftclient,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/trove-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz
